Subject: CONFIG_HSA_AMD unset in recent kernels

From: John Kehayias <[email-masked]>
Date: Mon, 25 Apr 2022 15:59:54 +0000

Hi Guix,

In trying to update AMD's OpenCL stuff (ROCm) in Guix to the latest version, I found that CONFIG_HSA_AMD is not set in our kernel config which I think might be needed (for HSA, most visibly having a /dev/kfd if I'm understanding). I see it was set to 'm' in previous versions, like 4.19, but at some point has been unset.

Does anyone know why this was changed or have any reason not to set it in our kernel config?

I've tried building the kernel with this configuration change and it went fine, but haven't been able to properly test it just yet.

John